Unable to create issue after JSUTIL - JIRA Suite plugin upgrade

Hello,

After upgrading Jira to 5.2.3 I had an issue with not being able to 'start progress' for issues due to not being able to copy the assignee value. This was resolved after upgrading the Jira Suite Utilities plugin to version 1.3.3. However I currently have the following issue. Every time I try to create a new issue, I get the following error just after submitting it:

Error creating issue: An unknown exception occured executing Validator com.googlecode.jsu.workflow.validator.FieldsRequiredValidator@7720069a: root cause: java.lang.NullPointerException

Edit: The plugin was updated to 1.3.4 but I am facing the same problem again. My workflow has a single validator at the 'Create' step. I removed it and everything worked. However when I add it again the problem persists. I'm talking about "required fields: Affects Version/s" validator. This issue has been reported by another user also and the bug report https://studio.plugins.atlassian.com/browse/JSUTIL-156 exists. Please take a look since I can't migrate my Jira installation due to this.

Any ideas? This is a showstopper and prevents me from upgrading to 5.x.

Thanks

3 answers

Thanks for the brief update Stephan. However even after upgrading the JSU plugin to 1.3.4, i am still getting the same error. My workflow information should not have been altered, since I just made a upgrade to the plugin from 1.3.2 to 1.3.3 (and then this issue appeared).

This widget could not be displayed.

JSUTIL-156 will fix the problem, I try to find some time to release 1.3.5 of JSU this week.

Thanks a lot Stephan. Lets refer to JSUTIL-156 for any change. I'm sure others are waiting for this release also.

Any chance this might go out this week?

This widget could not be displayed.

Seems your workflow is looking for a custom field which is probably deleted? Look at your workflow and see if there are any workflow validators that is looking for an invalid customfield.

There's only one validator for that bug creation workflow:
"Fields required for this transition: Affects Version/s".

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Tuesday in Jira

What modern development practices are at the heart of how your team delivers software?

Hey Community mates! Claire here from the Software Product Marketing team. We all know software development changes rapidly, and it's often tough to keep up. But from our research, we've found the h...

264 views 1 3
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you